: Class Constants

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.util
Class Constants

    java.lang.Object
      |
      +--grendel.util.Constants

public class Constants
extends java.lang.Object

This class contains various constants that are used in various places that we don't want to recompute all over the place. Mostly, these are system- dependent things.

Field Summary
`static ByteBuf` | `BYTEBUFLINEBREAK` The string used to separate lines in files on this system, stored as a ByteBuf.
`static java.io.File` | `HOMEDIR` File representing the user's home directory.
`static boolean` | `ISMAC` Whether this is a Macintosh machine.
`static boolean` | `ISOS2` Whether this is a OS/2 machine.
`static boolean` | `ISUNIX` Whether this is a Unix machine.
`static boolean` | `ISWINDOWS` Whether this is a Windows machine.
`static java.lang.String` | `LINEBREAK` The string used to separate lines in files on this system.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINEBREAK

    public static final java.lang.String LINEBREAK

  The string used to separate lines in files on this system.

### BYTEBUFLINEBREAK

    public static final ByteBuf BYTEBUFLINEBREAK

  The string used to separate lines in files on this system, stored as a ByteBuf.

### ISUNIX

    public static final boolean ISUNIX

  Whether this is a Unix machine.

### ISMAC

    public static final boolean ISMAC

  Whether this is a Macintosh machine.

### ISWINDOWS

    public static final boolean ISWINDOWS

  Whether this is a Windows machine.

### ISOS2

    public static final boolean ISOS2

  Whether this is a OS/2 machine.

### HOMEDIR

    public static final java.io.File HOMEDIR

  File representing the user's home directory.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD